<div class="flex flex-shrink-0">
  <div class="flex w-20 flex-col">
    <div class="flex min-h-0 flex-1 flex-col overflow-y-auto bg-orange-600">
      <div class="flex-1">
        <div class="flex items-center justify-center bg-orange-700 py-4">
          <%= image_tag "logos/gitlab-white.svg", class: "h-8 w-auto", alt: "GitLab Docs" %>
        </div>
        <nav aria-label="Sidebar" class="flex flex-col items-center space-y-3 py-6">
          <%= link_to root_path, class: "flex items-center rounded-lg p-4 text-orange-200 hover:bg-orange-700" do %>
            <svg class="h-6 w-6" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" aria-hidden="true">
              <path stroke-linecap="round" stroke-linejoin="round" d="M2.25 12l8.954-8.955c.44-.439 1.152-.439 1.591 0L21.75 12M4.5 9.75v10.125c0 .621.504 1.125 1.125 1.125H9.75v-4.875c0-.621.504-1.125 1.125-1.125h2.25c.621 0 1.125.504 1.125 1.125V21h4.125c.621 0 1.125-.504 1.125-1.125V9.75M8.25 21h8.25"/>
            </svg>
            <span class="sr-only">Home</span>
          <% end %>
          <%= button_to destroy_user_session_path, method: :delete, data: { turbo: false }, class: "flex items-center rounded-lg p-4 text-orange-200 hover:bg-orange-700" do %>
            <svg class="w-6 h-6" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" aria-hidden="true">
              <path stroke-linecap="round" stroke-linejoin="round" d="M5.636 5.636a9 9 0 1012.728 0M12 3v9" />
            </svg>
            <span class="sr-only">Sign out</span>
          <% end %>
        </nav>
      </div>
      <div class="flex flex-shrink-0 pb-5">
        <%= link_to edit_user_registration_path, class: "w-full flex-shrink-0" do %>
          <%= image_tag profile_image_url(current_user, 256), class: "mx-auto block h-10 w-10 rounded-full ring-transparent ring-1 transition duration-75 hover:ring-8 hover:ring-white/20", alt: current_user.email %>
          <div class="sr-only">
            <p><%= current_user.email %></p>
            <p>Account settings</p>
          </div>
        <% end %>
      </div>
    </div>
  </div>
</div>
